#!/bin/bash

echo "-------------------------------------------------------------"
echo "-------------------Checking Architecture---------------------"
echo "-------------------------------------------------------------"

# Check the system's architecture
architecture=$(uname -m)

if [ "$architecture" = "x86_64" ] || [ "$architecture" = "amd64" ]; then
    echo "The architecture is AMD64 (Supported) ✅"
else
    echo "The architecture is not AMD64 ❌"
    echo "Installed architecture is: $architecture"
    exit 1
fi

exit 0